<?php

namespace Drupal\preprocessors_examples\Plugin\Preprocessor\page;

use Drupal\preprocessors\PluginManager\PreprocessorsPluginManager\Preprocessor;

/**
 * Provide plugin to alter variables for "page" type nodes.
 *
 * @Preprocessor(
 *   id = "preprocessors_examples_node--page",
 *   template = "page"
 * )
 *
 * @package Drupal\preprocessors_examples\Plugin\Preprocessor
 */
final class PagePreprocess extends Preprocessor {

  /**
   * Add personal tweaks to variables in this function.
   *
   * {@inheritdoc}
   */
  public function preprocess(&$variables, $hook, $info): void {
    $variables['hello'] = 'world';
  }

}
