<?php

namespace Drupal\preprocessors_examples\Plugin\Preprocessor\paragraph\quotes;

use Drupal\preprocessors\PluginManager\PreprocessorsPluginManager\Preprocessor;

/**
 * Provide plugin to alter groomer data for all Basic Pages.
 *
 * @Preprocessor(
 *   id = "preprocessors_examples_paragraph--quotes",
 *   template = "paragraph--quotes"
 * )
 *
 * @package Drupal\preprocessors_examples\Plugin\Preprocessor
 */
final class QuotesParagraphPreprocess extends Preprocessor {

  /**
   * Add personal tweaks to variables in this function.
   *
   * {@inheritdoc}
   */
  public function preprocess(&$variables, $hook, $info): void {
    $variables['hello'] = 'world';
  }

}
