<?php

namespace Drupal\preprocessors\PluginManager\PreprocessorsPluginManager\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a Preprocessor item annotation object.
 *
 * Plugin Namespace: Plugin\Preprocessor.
 *
 * @see plugin_api
 *
 * @package Drupal\preprocessors\Annotation
 *
 * @Annotation
 */
final class Preprocessor extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The target template suggestion to preprocess variables for.
   *
   * @var string
   */
  public $template;

}
